Bug 34972

Summary: SVG embedded as <object> doesn't respect width/height attributes
Product: WebKit Reporter: Andreas Kling <kling>
Component: SVGAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, kent.hansen, rhodovan.u-szeged, yael, zimmermann
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 10526    
Bug Blocks:    
Attachments:
Description Flags
Testcase none

Description Andreas Kling 2010-02-16 03:18:35 PST
Original bugreport: http://bugreports.qt.nokia.com/browse/QTBUG-2999

SVG files embedded in QtWebKit using the <object> tag with width and height attributes are not sized correctly.
Comment 1 Tor Arne Vestbø 2010-03-05 09:39:45 PST
Please follow the QtWebKit bug reporting guidelines when reporting bugs.

See http://trac.webkit.org/wiki/QtWebKitBugs

Specifically:

  - The 'QtWebKit' component should be used for bugs/features in the public QtWebKit API layer, not to signify that the bug is specific to the Qt port of WebKit

    http://trac.webkit.org/wiki/QtWebKitBugs#Component
Comment 2 Kent Hansen 2010-03-12 08:53:21 PST
Andreas, do you have a testcase?
Comment 3 Andreas Kling 2010-03-16 04:28:09 PDT
Created attachment 50781 [details]
Testcase
Comment 4 Nikolas Zimmermann 2010-07-09 07:21:03 PDT
Changed component to SVG, so it shows up in my all-svg-bugs search.
Comment 5 Andreas Kling 2010-10-31 07:06:35 PDT
Removing [Qt] tag since this isn't actually Qt-specific; Chromium has the same behavior.
Comment 6 Nikolas Zimmermann 2011-05-27 05:41:20 PDT
The patch on bug 10526 fixes this bug.
Comment 7 Nikolas Zimmermann 2011-05-27 11:31:50 PDT
Fixed in r87526.